%define module	TransitiveClosure
%define name	perl-%{module}
%define version 1.4
%define release 4mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Calculate the transitive closure
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/A/AB/ABIGAIL/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-%{version}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildarch:	noarch
Obsoletes:	perl-Algorithm-Graphs-TransitiveClosure
Provides:	perl-Algorithm-Graphs-TransitiveClosure

%description
This is an implementation of the well known Floyd-Warshall algorithm.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc LICENSE
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*

%changelog
* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-4mdk 
- changed name
- better url 
- spec cleanup
- make test in %%check
- don't ship empty directories

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-3mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-2mdk 
- rpmbuildupdate aware

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-1mdk
- first mdk release
